Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.localsearch.decider.acceptor
Enum AcceptorConfig.AcceptorType

    java.lang.Object
      java.lang.Enum<AcceptorConfig.AcceptorType>
          org.optaplanner.core.config.localsearch.decider.acceptor.AcceptorConfig.AcceptorType

All Implemented Interfaces:
  Serializable, Comparable<AcceptorConfig.AcceptorType>

Enclosing class:
  AcceptorConfig

    public static enum AcceptorConfig.AcceptorType

extends Enum<AcceptorConfig.AcceptorType>

Enum Constant Summary
`GREAT_DELUGE`
`HILL_CLIMBING`
`LATE_ACCEPTANCE`
`LATE_SIMULATED_ANNEALING`
`MOVE_TABU`
`PLANNING_ENTITY_TABU`
`PLANNING_VALUE_TABU`
`SIMULATED_ANNEALING`
`SOLUTION_TABU`
`UNDO_MOVE_TABU`

Method Summary
`static AcceptorConfig.AcceptorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AcceptorConfig.AcceptorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HILL_CLIMBING

    public static final AcceptorConfig.AcceptorType HILL_CLIMBING

### PLANNING_ENTITY_TABU

    public static final AcceptorConfig.AcceptorType PLANNING_ENTITY_TABU

### PLANNING_VALUE_TABU

    public static final AcceptorConfig.AcceptorType PLANNING_VALUE_TABU

### MOVE_TABU

    public static final AcceptorConfig.AcceptorType MOVE_TABU

### UNDO_MOVE_TABU

    public static final AcceptorConfig.AcceptorType UNDO_MOVE_TABU

### SOLUTION_TABU

    public static final AcceptorConfig.AcceptorType SOLUTION_TABU

### SIMULATED_ANNEALING

    public static final AcceptorConfig.AcceptorType SIMULATED_ANNEALING

### GREAT_DELUGE

    public static final AcceptorConfig.AcceptorType GREAT_DELUGE

### LATE_ACCEPTANCE

    public static final AcceptorConfig.AcceptorType LATE_ACCEPTANCE

### LATE_SIMULATED_ANNEALING

    public static final AcceptorConfig.AcceptorType LATE_SIMULATED_ANNEALING

Method Detail

### values

    public static AcceptorConfig.AcceptorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AcceptorConfig.AcceptorType c : AcceptorConfig.AcceptorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AcceptorConfig.AcceptorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.